<?php

/*
| -------------------------------------------------------------------
| Registering Widget Sections
| -------------------------------------------------------------------
| */
function wpsmartim_widgets_init() {

  register_sidebar( array(
    'name' => 'Page Sidebar',
    'id' => 'sidebar-page',
	'description'   => 'This sidebar appears on pages only. Accepts shortcode.',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h3>',
    'after_title' => '</h3>',
  ) );
  
  register_sidebar( array(
    'name' => 'Blog Sidebar',
    'id' => 'sidebar-blog',
	'description'   => 'This sidebar appears on the index.php and the page-blog.php which lists the latest posts. Accepts shortcode.',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h3>',
    'after_title' => '</h3>',
  ));

  register_sidebar( array(
    'name' => 'Posts Sidebar',
    'id' => 'sidebar-posts',
	'description'   => 'This sidebar appears on single.php - the individual post page. Accepts shortcode.',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h3>',
    'after_title' => '</h3>',
  ));
   
  register_sidebar(array(
    'name' => 'Footer Left - One Third',
    'id'   => 'footer-left',
    'description'   => 'Left Footer Widget.',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>'
  ));

  register_sidebar(array(
    'name' => 'Footer Middle - One Third',
    'id'   => 'footer-middle',
    'description'   => 'Middle Footer Widget.',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>'
  ));

  register_sidebar(array(
    'name' => 'Footer Right - One Third',
    'id'   => 'footer-right',
    'description'   => 'Right Footer Widget.',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>'
  ));
  

}
add_action( 'init', 'wpsmartim_widgets_init' );
add_filter('widget_text', 'do_shortcode');
add_filter('wp_editor', 'do_shortcode');
add_filter('header_content', 'do_shortcode');