<?php

if (!defined('wpbootstrap_VERSION'))
define('wpbootstrap_VERSION', '1.0');

/**
 * Remove WP Version from header and RSS feeds
 */
function wpsmart_remove_version() {
  return '';
}
add_filter('the_generator', 'wpsmart_remove_version');

if ( ! isset( $content_width ) ) $content_width = 940;

/*
| -------------------------------------------------------------------
| Setup Theme
| -------------------------------------------------------------------
|
| */
add_action( 'after_setup_theme', 'wpbootstrap_theme_setup' );
if ( ! function_exists( 'wpbootstrap_theme_setup' ) ):
function wpbootstrap_theme_setup() {
  
 /**
  * Make theme available for translation
  * Translations can be filed in the /languages/ directory
  */
 //load_theme_textdomain( 'wpbootstrap', get_template_directory() . '/lang' );
  /**
   * Add editor stylesheet
   */
  //add_editor_style('editor-style.css');
  /**
   * Add default posts and comments RSS feed links to head
   */
  add_theme_support( 'automatic-feed-links' );

  /**
   * Adds custom menu with wp_page_menu fallback
   */
  register_nav_menus( array(
	'main-menu' => __( 'Main Menu', 'wpbootstrap' ),
    ) );
}
endif;

	
################################################################################
// Loading All CSS Stylesheets
################################################################################
  function wpbootstrap_css_loader() {
    wp_enqueue_style('wpbootstrap', get_template_directory_uri().'/assets/css/bootstrap.css', false ,'1.001', 'all' );
    wp_enqueue_style('prettify', get_template_directory_uri().'/assets/css/bootstrap-responsive.css', false ,'1.0', 'all' );
  }
add_action('wp_enqueue_scripts', 'wpbootstrap_css_loader');

// Lets load our custom functions and scripts now

require( get_template_directory() . '/assets/inc/custom-functions.php' );

require( get_template_directory() . '/assets/inc/smart-widgets.php' );
// Register Custom Navigation Walker
//require( get_template_directory() . '/assets/inc/class-wpbootstrap_walker_nav_menu.php');
/**
	 * Custom Nav Menu handler for the Navbar.
	 */
	require_once( get_template_directory() . '/assets/inc/nav-menu-walker.php' );

/*
| -------------------------------------------------------------------
| Adding Post Thumbnails and Image Sizes
| -------------------------------------------------------------------
| */
if ( function_exists( 'add_theme_support' ) ) {
  add_theme_support( 'post-thumbnails' );
  set_post_thumbnail_size( 260, 220 ); // 260 pixels wide by 220 pixels high
}

if ( function_exists( 'add_image_size' ) ) {
  add_image_size( 'wpbootstrap-mini', 160, 120 ); // 160 pixels wide by 120 pixels high
  add_image_size( 'wpbootstrap-small', 260, 180 ); // 260 pixels wide by 180 pixels high
  add_image_size( 'wpbootstrap-medium', 360, 268 ); // 360 pixels wide by 268 pixels high
  add_image_size( 'wpbootstrap-large', 560, 368 ); // 560 pixels wide by 368 pixels high
  add_image_size( 'page-feature', 1230, 440, true ); //(cropped)
  add_image_size( 'thumb-feature', 325, 180, true ); //(cropped)
  add_image_size( 'page-static', 1230, 410, true ); //(cropped)
}

// Add custom Post Type, Landingpage for WordPress

add_action('init', 'SliderFn');

function SliderFn (){
	$Slider_args = array(
		'label'	=> __('Slider', 'wpbootstrap'),
		'singular_label' =>	__('Slider', 'wpbootstrap'),
		'public'	=>	true,
		'show_ui'	=>	true,
		'capability_type'	=>	'post',
		'hierarchical'	=>	false,
		'rewrite'	=>	true,
		'supports'	=>	array('title', 'editor','page-attributes','thumbnail')
		);
	register_post_type('Slider', $Slider_args);
}