<?php
/**
 *
 * Default Page Header
 */ 
 ?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
  <head>
   <title><?php
  /*
   * Print the <title> tag based on what is being viewed.
   */
  global $page, $paged;

  wp_title( '|', true, 'right' );

  // Add the blog name.
  bloginfo( 'name' );

  // Add the blog description for the home/front page.
  $site_description = get_bloginfo( 'description', 'display' );
  if ( $site_description && ( is_home() || is_front_page() ) )
    echo " | $site_description";

  // Add a page number if necessary:
  if ( $paged >= 2 || $page >= 2 )
    echo ' | ' . sprintf( __( 'Page %s', 'wpsmartim' ), max( $paged, $page ) );

  ?></title>
    <meta charset="<?php bloginfo( 'charset' ); ?>" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <?php if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' ); ?>
	<link rel="profile" href="http://gmpg.org/xfn/11" />
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	
	 <!-- Le styles -->
	<link rel="stylesheet" href="<?php bloginfo( 'stylesheet_url' ); ?>">
    

    <!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
    <!--[if lt IE 9]>
      <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->

    <!-- Fav and touch icons -->
    <link rel="apple-touch-icon-precomposed" sizes="144x144" href="<?php get_template_directory_uri();?>/assets/ico/apple-touch-icon-144-precomposed.png">
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="<?php get_template_directory_uri();?>/assets/ico/apple-touch-icon-114-precomposed.png">
     <link rel="apple-touch-icon-precomposed" sizes="72x72" href="<?php get_template_directory_uri();?>/assets/ico/apple-touch-icon-72-precomposed.png">
            <link rel="apple-touch-icon-precomposed" href="<?php get_template_directory_uri();?>.assets/ico/apple-touch-icon-57-precomposed.png">
                                  <link rel="shortcut icon" href="<?php get_template_directory_uri();?>/assets/ico/favicon.png">
  <?php wp_head(); ?>
    
  </head>

  <body <?php body_class(); ?>>



    <!-- NAVBAR
    ================================================== -->
    <div class="navbar-wrapper">
      <!-- Wrap the .navbar in .container to center it within the absolutely positioned parent. -->
      <div class="container">

        <div class="navbar navbar-inverse">
            <div class="navbar-inner">
				<div class="container">
				<!-- .btn-navbar is used as the toggle for collapsed navbar content -->
					<a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</a>

					<?php if ( get_theme_mod( 'wpbootstrap_navbar_branding' ) != 0 ) { ?>
                    <a class="brand" href="<?php echo home_url(); ?>/">
                    <?php wpbootstrap_navbar_brand(); ?>
                    </a>
                    <?php } ?>
									
					<div class="nav-collapse">
						<div class="nav-collapse collapse">
                        <!-- Our menu needs to go here -->
						<?php wp_nav_menu( array(
	                        'menu'		 => 'main_menu',
	                        'menu_class'		=>	'nav nav-pills',
	                        'depth'				=>	0,
	                        'fallback_cb'		=>	false,
	                        'walker'			=>	new The_Bootstrap_Nav_Walker,
	                    )); 
                        ?>
                        </div><!--/.nav-collapse -->
						<?php do_action('wpbootstrap_nav_top_right'); ?>
				    </div>
				</div>
			</div>
        </div><!-- /.navbar -->

      </div> <!-- /.container -->
    </div><!-- /.navbar-wrapper -->
	
	<!-- Carousel
    ================================================== -->
<!-- slideshow -->
    <div id="myCarousel" class="carousel slide">
        <div class="carousel-inner">
        <?php $firstClass = 'active'; ?> 
        <?php if (have_posts()) : ?>
            
		<?php query_posts(array('post_type'=>'slider')); ?> 
        
		<?php while (have_posts()) : the_post(); ?>
       
        <div class="item <?php echo $firstClass; ?>">
            <?php $firstClass = ""; ?>
            <?php the_post_thumbnail('page-feature'); ?>
            <div class="carousel-caption">
                <h2><?php the_title(); ?></h2>
                <p class="lead"><?php the_content(); ?></p>
            </div>
        </div>
      	<?php endwhile; endif; ?>
        <?php wp_reset_query(); ?>       
             
        </div>
       
    <a class="left carousel-control" href="#myCarousel" data-slide="prev">&lsaquo;</a>
    <a class="right carousel-control" href="#myCarousel" data-slide="next">&rsaquo;</a>
    </div><!-- #myCarousel -->
         <!--- end --->
		 
