<?php
/**
 * The template for displaying all posts.
 *
 * Default Post Template
 *
 * Page template with a fixed 940px container and right sidebar layout
 *
 */

get_header(); ?>
<!-- Marketing messaging and featurettes
    ================================================== -->
    <!-- Wrap the rest of the page in another container to center all the content. -->
<div class="container marketing" style="margin-top: 60px;">
<div class="container-fluid">
<div class="row-fluid">
<div class="span8">

	<!-- Start the Loop -->
	<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
	
		<!-- Begin the first article -->
		<article>
				
			<!-- Display the Title as a link to the Post's permalink. -->
			<h2>
				<?php the_title(); ?>
			</h2>
			
			<!-- Display the date (November 16th, 2009 format) and a link to other posts by this posts author. -->
			<?php the_time('F jS, Y') ?> by <?php the_author_posts_link() ?>
			
			<!-- Display the Post's Content in a div box. -->
			<div class="entry">
			    <?php if ( has_post_thumbnail() ) ?>
                <?php the_post_thumbnail('page-static');?>
				<?php the_content(); ?>
			</div>
			
			<!-- Display a comma separated list of the Post's Categories. -->
			<p class="postmetadata">Posted in <?php the_category(', '); ?></p>
		
		</article>
		<!-- Closes the first article -->
		
		<!-- Begin Comments -->
		<?php comments_template('/templates/comments.php'); ?>
	    <!-- End Comments -->
	    
	<!-- Stop The Loop (but note the "else:" - see next line). -->
	<?php endwhile; else: ?>
	
		<!-- The very first "if" tested to see if there were any Posts to -->
		<!-- display.  This "else" part tells what do if there weren't any. -->
		<div class="alert-box error">Sorry, no posts matched your criteria.</div>
	
	<!--End the loop -->
	<?php endif; ?>
	
</div>
<div class="span4">
    <?php if ( !function_exists('dynamic_sidebar')
    || !dynamic_sidebar('sidebar-posts') ) : ?>
    <?php endif; ?>
</div>
</div>
<!-- end row -->
</div>
<!-- end container -->
<?php get_footer(); ?>